base-unicode-symbols-0.2.2.4: Unicode alternatives for common functions and operators

Copyright | 2010—2011 Roel van Dijk
License | BSD3 (see the file LICENSE)
Maintainer | Roel van Dijk <vandijk.roel@gmail.com>
Safe Haskell | Safe
Language | Haskell98

Control.Monad.Unicode

Description

Synopsis

- (≫=) :: Monad m => m α -> (α -> m β) -> m β
- (≫) :: Monad m => m α -> m β -> m β
- (=≪) :: Monad m => (α -> m β) -> m α -> m β

# Documentation

(≫=) :: Monad m => m α -> (α -> m β) -> m β infixl 1 #

(≫=) = (`>>=`)

(U+226B, MUCH GREATER-THAN) + (U+3D, EQUALS SIGN)

(≫) :: Monad m => m α -> m β -> m β infixl 1 #

(≫) = (`>>`)

U+226B, MUCH GREATER-THAN

(=≪) :: Monad m => (α -> m β) -> m α -> m β infixr 1 #

(=≪) = (`=<<`)

(U+3D, EQUALS SIGN) + (U+226A, MUCH LESS-THAN)